be.vlaanderen.mercurius.mohm.schemas.v1

## Class CreateFictionalApplicationRequestType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.CreateFictionalApplicationRequestType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class CreateFictionalApplicationRequestType
      extends Object
      implements Serializable

  Groeperend element voor een nieuwe fictieve aanvraag of fictieve hernieuwing.

  Java class for CreateFictionalApplicationRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CreateFictionalApplicationRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Reason" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ApplicationReasonType"/>
               <element name="MobilityTool" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ApplicationMobilityToolType" minOccurs="0"/>
               <element name="IsSecondWheelchair" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="IsEarlyRenewalMobilityTool" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="HasRecognitionVAPH" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="HasSDA" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="Bandagist" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}BandagistType"/>
               <element name="PrescriptionApprovalNumber" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ApprovalNumberType" minOccurs="0"/>
               <element name="PrescriptionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="RARApprovalNumber" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ApprovalNumberType" minOccurs="0"/>
               <element name="RARDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="IsAccident" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="Hospitalization" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}HospitalizationType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateFictionalApplicationRequestType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BandagistType` | `getBandagist()` Gets the value of the bandagist property.
    `HospitalizationType` | `getHospitalization()` Gets the value of the hospitalization property.
    `ApplicationMobilityToolType` | `getMobilityTool()` Gets the value of the mobilityTool property.
    `String` | `getPrescriptionApprovalNumber()` Gets the value of the prescriptionApprovalNumber property.
    `org.joda.time.DateTime` | `getPrescriptionDate()` Gets the value of the prescriptionDate property.
    `String` | `getRARApprovalNumber()` Gets the value of the rarApprovalNumber property.
    `org.joda.time.DateTime` | `getRARDate()` Gets the value of the rarDate property.
    `ApplicationReasonType` | `getReason()` Gets the value of the reason property.
    `Boolean` | `isHasRecognitionVAPH()` Gets the value of the hasRecognitionVAPH property.
    `Boolean` | `isHasSDA()` Gets the value of the hasSDA property.
    `Boolean` | `isIsAccident()` Gets the value of the isAccident property.
    `Boolean` | `isIsEarlyRenewalMobilityTool()` Gets the value of the isEarlyRenewalMobilityTool property.
    `Boolean` | `isIsSecondWheelchair()` Gets the value of the isSecondWheelchair property.
    `void` | `setBandagist(BandagistType value)` Sets the value of the bandagist property.
    `void` | `setHasRecognitionVAPH(Boolean value)` Sets the value of the hasRecognitionVAPH property.
    `void` | `setHasSDA(Boolean value)` Sets the value of the hasSDA property.
    `void` | `setHospitalization(HospitalizationType value)` Sets the value of the hospitalization property.
    `void` | `setIsAccident(Boolean value)` Sets the value of the isAccident property.
    `void` | `setIsEarlyRenewalMobilityTool(Boolean value)` Sets the value of the isEarlyRenewalMobilityTool property.
    `void` | `setIsSecondWheelchair(Boolean value)` Sets the value of the isSecondWheelchair property.
    `void` | `setMobilityTool(ApplicationMobilityToolType value)` Sets the value of the mobilityTool property.
    `void` | `setPrescriptionApprovalNumber(String value)` Sets the value of the prescriptionApprovalNumber property.
    `void` | `setPrescriptionDate(org.joda.time.DateTime value)` Sets the value of the prescriptionDate property.
    `void` | `setRARApprovalNumber(String value)` Sets the value of the rarApprovalNumber property.
    `void` | `setRARDate(org.joda.time.DateTime value)` Sets the value of the rarDate property.
    `void` | `setReason(ApplicationReasonType value)` Sets the value of the reason property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateFictionalApplicationRequestType

          public CreateFictionalApplicationRequestType()

  - ### Method Detail

    - #### getReason

          public ApplicationReasonType getReason()

      Gets the value of the reason property.
      Returns:
        possible object is `ApplicationReasonType`

    - #### setReason

          public void setReason(ApplicationReasonType value)

      Sets the value of the reason property.
      Parameters:
        `value` - allowed object is `ApplicationReasonType`

    - #### getMobilityTool

          public ApplicationMobilityToolType getMobilityTool()

      Gets the value of the mobilityTool property.
      Returns:
        possible object is `ApplicationMobilityToolType`

    - #### setMobilityTool

          public void setMobilityTool(ApplicationMobilityToolType value)

      Sets the value of the mobilityTool property.
      Parameters:
        `value` - allowed object is `ApplicationMobilityToolType`

    - #### isIsSecondWheelchair

          public Boolean isIsSecondWheelchair()

      Gets the value of the isSecondWheelchair property.
      Returns:
        possible object is `Boolean`

    - #### setIsSecondWheelchair

          public void setIsSecondWheelchair(Boolean value)

      Sets the value of the isSecondWheelchair property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isIsEarlyRenewalMobilityTool

          public Boolean isIsEarlyRenewalMobilityTool()

      Gets the value of the isEarlyRenewalMobilityTool property.
      Returns:
        possible object is `Boolean`

    - #### setIsEarlyRenewalMobilityTool

          public void setIsEarlyRenewalMobilityTool(Boolean value)

      Sets the value of the isEarlyRenewalMobilityTool property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isHasRecognitionVAPH

          public Boolean isHasRecognitionVAPH()

      Gets the value of the hasRecognitionVAPH property.
      Returns:
        possible object is `Boolean`

    - #### setHasRecognitionVAPH

          public void setHasRecognitionVAPH(Boolean value)

      Sets the value of the hasRecognitionVAPH property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isHasSDA

          public Boolean isHasSDA()

      Gets the value of the hasSDA property.
      Returns:
        possible object is `Boolean`

    - #### setHasSDA

          public void setHasSDA(Boolean value)

      Sets the value of the hasSDA property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getBandagist

          public BandagistType getBandagist()

      Gets the value of the bandagist property.
      Returns:
        possible object is `BandagistType`

    - #### setBandagist

          public void setBandagist(BandagistType value)

      Sets the value of the bandagist property.
      Parameters:
        `value` - allowed object is `BandagistType`

    - #### getPrescriptionApprovalNumber

          public String getPrescriptionApprovalNumber()

      Gets the value of the prescriptionApprovalNumber property.
      Returns:
        possible object is `String`

    - #### setPrescriptionApprovalNumber

          public void setPrescriptionApprovalNumber(String value)

      Sets the value of the prescriptionApprovalNumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPrescriptionDate

          public org.joda.time.DateTime getPrescriptionDate()

      Gets the value of the prescriptionDate property.
      Returns:
        possible object is `String`

    - #### setPrescriptionDate

          public void setPrescriptionDate(org.joda.time.DateTime value)

      Sets the value of the prescriptionDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRARApprovalNumber

          public String getRARApprovalNumber()

      Gets the value of the rarApprovalNumber property.
      Returns:
        possible object is `String`

    - #### setRARApprovalNumber

          public void setRARApprovalNumber(String value)

      Sets the value of the rarApprovalNumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRARDate

          public org.joda.time.DateTime getRARDate()

      Gets the value of the rarDate property.
      Returns:
        possible object is `String`

    - #### setRARDate

          public void setRARDate(org.joda.time.DateTime value)

      Sets the value of the rarDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### isIsAccident

          public Boolean isIsAccident()

      Gets the value of the isAccident property.
      Returns:
        possible object is `Boolean`

    - #### setIsAccident

          public void setIsAccident(Boolean value)

      Sets the value of the isAccident property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getHospitalization

          public HospitalizationType getHospitalization()

      Gets the value of the hospitalization property.
      Returns:
        possible object is `HospitalizationType`

    - #### setHospitalization

          public void setHospitalization(HospitalizationType value)

      Sets the value of the hospitalization property.
      Parameters:
        `value` - allowed object is `HospitalizationType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.